<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.20"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>SemanticSearchImplementation: SemanticSearchImplementation.RdfClient Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">SemanticSearchImplementation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.20 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespace_semantic_search_implementation.html">SemanticSearchImplementation</a></li><li class="navelem"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html">RdfClient</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pub-static-attribs">Static Public Attributes</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="#pri-static-attribs">Static Private Attributes</a> &#124;
<a href="class_semantic_search_implementation_1_1_rdf_client-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">SemanticSearchImplementation.RdfClient Class Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Provides all necessary queries to the RDF database to create a mapping of metadata graphs into a document.  
 <a href="class_semantic_search_implementation_1_1_rdf_client.html#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:a2ae48841664ee87f9b6b81298bc2381a"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381a">ApplicationProfileType</a> { <br />
&#160;&#160;<a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381aac18e8f1f430ea227dbd63d0d9a2bc5fb">ApplicationProfileType.CLASS</a>, 
<a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381aa5d5cd46919fa987731fb2edefe0f2a0c">ApplicationProfileType.INTEGER</a>, 
<a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381aa633a6c7a6b9958f8174250094daf1e6a">ApplicationProfileType.DATE</a>, 
<a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381aa63b588d5559f64f89a416e656880b949">ApplicationProfileType.STRING</a>, 
<br />
&#160;&#160;<a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381aac48d5da12d702e73d6966069f2687376">ApplicationProfileType.BOOLEAN</a>
<br />
 }</td></tr>
<tr class="memdesc:a2ae48841664ee87f9b6b81298bc2381a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Represents the data types used in the application profiles.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381a">More...</a><br /></td></tr>
<tr class="separator:a2ae48841664ee87f9b6b81298bc2381a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a425c1a2d8643747f852c1cce9ee0d88e"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a425c1a2d8643747f852c1cce9ee0d88e">RdfClient</a> (<a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html">IRdfConnector</a> client, string language)</td></tr>
<tr class="separator:a425c1a2d8643747f852c1cce9ee0d88e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaae0d58607a397366b95ea7df96c46f2"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#aaae0d58607a397366b95ea7df96c46f2">GetLanguage</a> ()</td></tr>
<tr class="separator:aaae0d58607a397366b95ea7df96c46f2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a10fc1f74ce46481187022f780823f01b"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a10fc1f74ce46481187022f780823f01b">GetApplicationProfileOfMetadata</a> (string graphName)</td></tr>
<tr class="memdesc:a10fc1f74ce46481187022f780823f01b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns the corresponding application profile of a metadata graph.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a10fc1f74ce46481187022f780823f01b">More...</a><br /></td></tr>
<tr class="separator:a10fc1f74ce46481187022f780823f01b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a325fdfbd041bf2b43ce396e9a1da64b5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a325fdfbd041bf2b43ce396e9a1da64b5">MarkGraphAsDeleted</a> (string graphName)</td></tr>
<tr class="memdesc:a325fdfbd041bf2b43ce396e9a1da64b5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Marks the metadata graph as deleted.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a325fdfbd041bf2b43ce396e9a1da64b5">More...</a><br /></td></tr>
<tr class="separator:a325fdfbd041bf2b43ce396e9a1da64b5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b87aa54d1f864f9950250f4a74016ed"><td class="memItemLeft" align="right" valign="top">IEnumerable&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a6b87aa54d1f864f9950250f4a74016ed">GetDirectClasses</a> (string instance)</td></tr>
<tr class="memdesc:a6b87aa54d1f864f9950250f4a74016ed"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the direct classes (without inference and hierarchy) of an instance.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a6b87aa54d1f864f9950250f4a74016ed">More...</a><br /></td></tr>
<tr class="separator:a6b87aa54d1f864f9950250f4a74016ed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd878efe4cd42cca5d36ef23a3f721be"><td class="memItemLeft" align="right" valign="top">IList&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#acd878efe4cd42cca5d36ef23a3f721be">GetParentClasses</a> (IEnumerable&lt; string &gt; classes)</td></tr>
<tr class="memdesc:acd878efe4cd42cca5d36ef23a3f721be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the parent classes of the given classes.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#acd878efe4cd42cca5d36ef23a3f721be">More...</a><br /></td></tr>
<tr class="separator:acd878efe4cd42cca5d36ef23a3f721be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aaa5ba8d2534423dfbb370aa2d4400722"><td class="memItemLeft" align="right" valign="top">IEnumerable&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#aaa5ba8d2534423dfbb370aa2d4400722">GetProperties</a> ()</td></tr>
<tr class="memdesc:aaa5ba8d2534423dfbb370aa2d4400722"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries all properties (metadata fields) used in the available application profiles.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#aaa5ba8d2534423dfbb370aa2d4400722">More...</a><br /></td></tr>
<tr class="separator:aaa5ba8d2534423dfbb370aa2d4400722"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a229577669657b068d1340cf411431a2a"><td class="memItemLeft" align="right" valign="top">IEnumerable&lt; IEnumerable&lt; string &gt; &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a229577669657b068d1340cf411431a2a">GetAllMetadataIds</a> ()</td></tr>
<tr class="memdesc:a229577669657b068d1340cf411431a2a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the IDs of all available metadata graphs in the knowledge graph.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a229577669657b068d1340cf411431a2a">More...</a><br /></td></tr>
<tr class="separator:a229577669657b068d1340cf411431a2a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a469c28c5a40982b1b34e96d439343a78"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a469c28c5a40982b1b34e96d439343a78">GetRdfsLabel</a> (string uri)</td></tr>
<tr class="memdesc:a469c28c5a40982b1b34e96d439343a78"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the rdfs:label of an URI.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a469c28c5a40982b1b34e96d439343a78">More...</a><br /></td></tr>
<tr class="separator:a469c28c5a40982b1b34e96d439343a78"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adbb7e39f2915406c4edb5cbacb022dce"><td class="memItemLeft" align="right" valign="top">IEnumerable&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#adbb7e39f2915406c4edb5cbacb022dce">GetProjectsOfUser</a> (string user)</td></tr>
<tr class="memdesc:adbb7e39f2915406c4edb5cbacb022dce"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the project IDs a user belongs to.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#adbb7e39f2915406c4edb5cbacb022dce">More...</a><br /></td></tr>
<tr class="separator:adbb7e39f2915406c4edb5cbacb022dce"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0fcedec7e459d3c204e1c4d559f6706a"><td class="memItemLeft" align="right" valign="top">IEnumerable&lt; string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0fcedec7e459d3c204e1c4d559f6706a">GetApplicationProfilesNamesOfProperty</a> (string property)</td></tr>
<tr class="memdesc:a0fcedec7e459d3c204e1c4d559f6706a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the sh:names of a property in all available application profiles.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a0fcedec7e459d3c204e1c4d559f6706a">More...</a><br /></td></tr>
<tr class="separator:a0fcedec7e459d3c204e1c4d559f6706a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a708959ad91511d00229939edf8849adc"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381a">ApplicationProfileType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a708959ad91511d00229939edf8849adc">GetTypeOfProperty</a> (string property)</td></tr>
<tr class="memdesc:a708959ad91511d00229939edf8849adc"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the application profile data type of a property.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a708959ad91511d00229939edf8849adc">More...</a><br /></td></tr>
<tr class="separator:a708959ad91511d00229939edf8849adc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5ee10ad6542a8104374c41984700e600"><td class="memItemLeft" align="right" valign="top"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381a">ApplicationProfileType</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a5ee10ad6542a8104374c41984700e600">GetDataType</a> (string type)</td></tr>
<tr class="memdesc:a5ee10ad6542a8104374c41984700e600"><td class="mdescLeft">&#160;</td><td class="mdescRight">Maps the XSD data types to the corresponding application profile type.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a5ee10ad6542a8104374c41984700e600">More...</a><br /></td></tr>
<tr class="separator:a5ee10ad6542a8104374c41984700e600"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1b3377aa66f25bc348f4b31f775b34b7"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a1b3377aa66f25bc348f4b31f775b34b7">GetCurrentIndexVersion</a> ()</td></tr>
<tr class="memdesc:a1b3377aa66f25bc348f4b31f775b34b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries the current index version.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a1b3377aa66f25bc348f4b31f775b34b7">More...</a><br /></td></tr>
<tr class="separator:a1b3377aa66f25bc348f4b31f775b34b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6483721fe8fb067835647b236e7e11a5"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a6483721fe8fb067835647b236e7e11a5">SetCurrentIndexVersion</a> (int newVersion)</td></tr>
<tr class="memdesc:a6483721fe8fb067835647b236e7e11a5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Updates the current index version.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a6483721fe8fb067835647b236e7e11a5">More...</a><br /></td></tr>
<tr class="separator:a6483721fe8fb067835647b236e7e11a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a74621d06a8eb3a90572710d6b6849349"><td class="memItemLeft" align="right" valign="top">Dictionary&lt; string, <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html">LiteralRule</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a74621d06a8eb3a90572710d6b6849349">ConstructLiteralRules</a> (string graphName)</td></tr>
<tr class="memdesc:a74621d06a8eb3a90572710d6b6849349"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries all literal rules of a specific named graph.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a74621d06a8eb3a90572710d6b6849349">More...</a><br /></td></tr>
<tr class="separator:a74621d06a8eb3a90572710d6b6849349"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d3defa7b15d35ff8188de0e24d4e990"><td class="memItemLeft" align="right" valign="top">IEnumerable&lt; <a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html">AdditionalRule</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a8d3defa7b15d35ff8188de0e24d4e990">ConstructAdditionalRules</a> (string graphName)</td></tr>
<tr class="memdesc:a8d3defa7b15d35ff8188de0e24d4e990"><td class="mdescLeft">&#160;</td><td class="mdescRight">QUeries all additional rules of a specific named graph.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a8d3defa7b15d35ff8188de0e24d4e990">More...</a><br /></td></tr>
<tr class="separator:a8d3defa7b15d35ff8188de0e24d4e990"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0c65fc8a2ffd3878d44adaeee55df8a6"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0c65fc8a2ffd3878d44adaeee55df8a6">GuessLabel</a> (string element)</td></tr>
<tr class="memdesc:a0c65fc8a2ffd3878d44adaeee55df8a6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Help function to guess label based on the URI.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a0c65fc8a2ffd3878d44adaeee55df8a6">More...</a><br /></td></tr>
<tr class="separator:a0c65fc8a2ffd3878d44adaeee55df8a6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0207920bfa013e9d7d59cb08107c128a"><td class="memItemLeft" align="right" valign="top">IEnumerable&lt; Triple &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0207920bfa013e9d7d59cb08107c128a">GetTriplesFromGraph</a> (string graphName)</td></tr>
<tr class="memdesc:a0207920bfa013e9d7d59cb08107c128a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns triples of a graph.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a0207920bfa013e9d7d59cb08107c128a">More...</a><br /></td></tr>
<tr class="separator:a0207920bfa013e9d7d59cb08107c128a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0667466b05b61830e8808ce3ff45ea08"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, JObject &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a0667466b05b61830e8808ce3ff45ea08">CreateFieldsFromAdditionalRule</a> (string graphName, <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html">SpecificApplicationProfile</a> profile, <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">ElasticsearchIndexMapper</a> indexMapper, bool changeOtherDocs=false)</td></tr>
<tr class="memdesc:a0667466b05b61830e8808ce3ff45ea08"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates additional key value pairs for a metadata graph resulting through execution of the additional rules.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a0667466b05b61830e8808ce3ff45ea08">More...</a><br /></td></tr>
<tr class="separator:a0667466b05b61830e8808ce3ff45ea08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad694bbe97a60dc38cec52311ab400950"><td class="memItemLeft" align="right" valign="top">JObject&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#ad694bbe97a60dc38cec52311ab400950">CreateFields</a> (IEnumerable&lt; Triple &gt; triples, <a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html">SpecificApplicationProfile</a> profile, <a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">ElasticsearchIndexMapper</a> indexMapper)</td></tr>
<tr class="memdesc:ad694bbe97a60dc38cec52311ab400950"><td class="mdescLeft">&#160;</td><td class="mdescRight">Creates key value pairs from the given triples.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#ad694bbe97a60dc38cec52311ab400950">More...</a><br /></td></tr>
<tr class="separator:ad694bbe97a60dc38cec52311ab400950"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-static-attribs"></a>
Static Public Attributes</h2></td></tr>
<tr class="memitem:aa8ed1e90bede1ec396f74186539a3a3c"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#aa8ed1e90bede1ec396f74186539a3a3c">LABEL_LITERAL_RULE</a> = &quot;instance&quot;</td></tr>
<tr class="separator:aa8ed1e90bede1ec396f74186539a3a3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a501fad6b6b81cf8059921645c100c7ca"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a501fad6b6b81cf8059921645c100c7ca">LABEL_ADDITIONAL_RULE</a> = &quot;graph&quot;</td></tr>
<tr class="separator:a501fad6b6b81cf8059921645c100c7ca"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a8c5e47823241f1bcf75be13a2ed62b3d"><td class="memItemLeft" align="right" valign="top">IDictionary&lt; string, string &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a8c5e47823241f1bcf75be13a2ed62b3d">GetPrefixesOfGraph</a> (string graphName, string prefixName)</td></tr>
<tr class="memdesc:a8c5e47823241f1bcf75be13a2ed62b3d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Queries all prefix definitions in a specific graph and of a specific prefix rule.  <a href="class_semantic_search_implementation_1_1_rdf_client.html#a8c5e47823241f1bcf75be13a2ed62b3d">More...</a><br /></td></tr>
<tr class="separator:a8c5e47823241f1bcf75be13a2ed62b3d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:abe5b0dc7e49afcaa43be878f1c0e8789"><td class="memItemLeft" align="right" valign="top">readonly <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html">IRdfConnector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#abe5b0dc7e49afcaa43be878f1c0e8789">_connector</a></td></tr>
<tr class="separator:abe5b0dc7e49afcaa43be878f1c0e8789"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5d9dbc2c8daa86da7dd88cc164ff4181"><td class="memItemLeft" align="right" valign="top">readonly <a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html">DataTypeParser</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a5d9dbc2c8daa86da7dd88cc164ff4181">_dataTypeParser</a></td></tr>
<tr class="separator:a5d9dbc2c8daa86da7dd88cc164ff4181"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3ca442552615fb7dafe445873e33820b"><td class="memItemLeft" align="right" valign="top">readonly string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a3ca442552615fb7dafe445873e33820b">_language</a></td></tr>
<tr class="separator:a3ca442552615fb7dafe445873e33820b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5b265b0ca493b3cfa893066b625b57e"><td class="memItemLeft" align="right" valign="top">readonly SparqlParameterizedString&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#ac5b265b0ca493b3cfa893066b625b57e">_queryString</a></td></tr>
<tr class="separator:ac5b265b0ca493b3cfa893066b625b57e"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-static-attribs"></a>
Static Private Attributes</h2></td></tr>
<tr class="memitem:afb90fafb3b06994090599a064bb40c17"><td class="memItemLeft" align="right" valign="top">const int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#afb90fafb3b06994090599a064bb40c17">QUERY_LIMIT</a> = 1000</td></tr>
<tr class="separator:afb90fafb3b06994090599a064bb40c17"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a15af740a85a4fca8321168ade215aade"><td class="memItemLeft" align="right" valign="top">const string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a15af740a85a4fca8321168ade215aade">PLACEHOLDER</a> = &quot;$this&quot;</td></tr>
<tr class="separator:a15af740a85a4fca8321168ade215aade"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Provides all necessary queries to the RDF database to create a mapping of metadata graphs into a document. </p>
</div><h2 class="groupheader">Member Enumeration Documentation</h2>
<a id="a2ae48841664ee87f9b6b81298bc2381a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a2ae48841664ee87f9b6b81298bc2381a">&#9670;&nbsp;</a></span>ApplicationProfileType</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381a">SemanticSearchImplementation.RdfClient.ApplicationProfileType</a></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">strong</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Represents the data types used in the application profiles. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a id="a2ae48841664ee87f9b6b81298bc2381aac18e8f1f430ea227dbd63d0d9a2bc5fb"></a>CLASS&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a2ae48841664ee87f9b6b81298bc2381aa5d5cd46919fa987731fb2edefe0f2a0c"></a>INTEGER&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a2ae48841664ee87f9b6b81298bc2381aa633a6c7a6b9958f8174250094daf1e6a"></a>DATE&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a2ae48841664ee87f9b6b81298bc2381aa63b588d5559f64f89a416e656880b949"></a>STRING&#160;</td><td class="fielddoc"></td></tr>
<tr><td class="fieldname"><a id="a2ae48841664ee87f9b6b81298bc2381aac48d5da12d702e73d6966069f2687376"></a>BOOLEAN&#160;</td><td class="fielddoc"></td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a425c1a2d8643747f852c1cce9ee0d88e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a425c1a2d8643747f852c1cce9ee0d88e">&#9670;&nbsp;</a></span>RdfClient()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">SemanticSearchImplementation.RdfClient.RdfClient </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html">IRdfConnector</a>&#160;</td>
          <td class="paramname"><em>client</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>language</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<h2 class="groupheader">Member Function Documentation</h2>
<a id="a8d3defa7b15d35ff8188de0e24d4e990"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d3defa7b15d35ff8188de0e24d4e990">&#9670;&nbsp;</a></span>ConstructAdditionalRules()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IEnumerable&lt;<a class="el" href="class_semantic_search_implementation_1_1_additional_rule.html">AdditionalRule</a>&gt; SemanticSearchImplementation.RdfClient.ConstructAdditionalRules </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>QUeries all additional rules of a specific named graph. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>Name of the graph.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An enumerator of additional rules.</dd></dl>

</div>
</div>
<a id="a74621d06a8eb3a90572710d6b6849349"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a74621d06a8eb3a90572710d6b6849349">&#9670;&nbsp;</a></span>ConstructLiteralRules()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">Dictionary&lt;string, <a class="el" href="class_semantic_search_implementation_1_1_literal_rule.html">LiteralRule</a>&gt; SemanticSearchImplementation.RdfClient.ConstructLiteralRules </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries all literal rules of a specific named graph. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>Name of the graph.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A dictionary containing the classes (key) and corresponding literal rules (value) of the graph.</dd></dl>

</div>
</div>
<a id="ad694bbe97a60dc38cec52311ab400950"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad694bbe97a60dc38cec52311ab400950">&#9670;&nbsp;</a></span>CreateFields()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">JObject SemanticSearchImplementation.RdfClient.CreateFields </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; Triple &gt;&#160;</td>
          <td class="paramname"><em>triples</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html">SpecificApplicationProfile</a>&#160;</td>
          <td class="paramname"><em>profile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">ElasticsearchIndexMapper</a>&#160;</td>
          <td class="paramname"><em>indexMapper</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates key value pairs from the given triples. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">triples</td><td>An enumerator of triples which needs to be parsed.</td></tr>
    <tr><td class="paramname">profile</td><td>The application profile which the triples belong to.</td></tr>
    <tr><td class="paramname">indexMapper</td><td>The <code><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html" title="Contains methods to create, change and handle the current Elasticsearch index.">ElasticsearchIndexMapper</a></code>.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

</div>
</div>
<a id="a0667466b05b61830e8808ce3ff45ea08"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0667466b05b61830e8808ce3ff45ea08">&#9670;&nbsp;</a></span>CreateFieldsFromAdditionalRule()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IDictionary&lt;string, JObject&gt; SemanticSearchImplementation.RdfClient.CreateFieldsFromAdditionalRule </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_semantic_search_implementation_1_1_specific_application_profile.html">SpecificApplicationProfile</a>&#160;</td>
          <td class="paramname"><em>profile</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html">ElasticsearchIndexMapper</a>&#160;</td>
          <td class="paramname"><em>indexMapper</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">bool&#160;</td>
          <td class="paramname"><em>changeOtherDocs</em> = <code>false</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Creates additional key value pairs for a metadata graph resulting through execution of the additional rules. </p>
<p>Additional rules can influcence other existing metadata graphs.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of metadata graph.</td></tr>
    <tr><td class="paramname">profile</td><td>Application profile of metadata graph.</td></tr>
    <tr><td class="paramname">indexMapper</td><td>The <code><a class="el" href="class_semantic_search_implementation_1_1_elasticsearch_index_mapper.html" title="Contains methods to create, change and handle the current Elasticsearch index.">ElasticsearchIndexMapper</a></code>.</td></tr>
    <tr><td class="paramname">changeOtherDocs</td><td>Flag which indicates if fields for influcenced documents should be created.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An dictionary containing the IDs of the metadata graphs (key) and the corresponding JSON objects (value).</dd></dl>

</div>
</div>
<a id="a229577669657b068d1340cf411431a2a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a229577669657b068d1340cf411431a2a">&#9670;&nbsp;</a></span>GetAllMetadataIds()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IEnumerable&lt;IEnumerable&lt;string&gt; &gt; SemanticSearchImplementation.RdfClient.GetAllMetadataIds </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries the IDs of all available metadata graphs in the knowledge graph. </p>
<dl class="section return"><dt>Returns</dt><dd>An iterator of an enumerator of the IDs of the metadata graphs.</dd></dl>

</div>
</div>
<a id="a10fc1f74ce46481187022f780823f01b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a10fc1f74ce46481187022f780823f01b">&#9670;&nbsp;</a></span>GetApplicationProfileOfMetadata()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.RdfClient.GetApplicationProfileOfMetadata </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns the corresponding application profile of a metadata graph. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of the metadata graph.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>String representation of the application profile URI.</dd></dl>

</div>
</div>
<a id="a0fcedec7e459d3c204e1c4d559f6706a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0fcedec7e459d3c204e1c4d559f6706a">&#9670;&nbsp;</a></span>GetApplicationProfilesNamesOfProperty()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IEnumerable&lt;string&gt; SemanticSearchImplementation.RdfClient.GetApplicationProfilesNamesOfProperty </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries the sh:names of a property in all available application profiles. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>A string representation of a property URI.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An enumerator of names.</dd></dl>

</div>
</div>
<a id="a1b3377aa66f25bc348f4b31f775b34b7"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1b3377aa66f25bc348f4b31f775b34b7">&#9670;&nbsp;</a></span>GetCurrentIndexVersion()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">int SemanticSearchImplementation.RdfClient.GetCurrentIndexVersion </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries the current index version. </p>
<dl class="section return"><dt>Returns</dt><dd>Number of the current index version.</dd></dl>

</div>
</div>
<a id="a5ee10ad6542a8104374c41984700e600"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5ee10ad6542a8104374c41984700e600">&#9670;&nbsp;</a></span>GetDataType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381a">ApplicationProfileType</a> SemanticSearchImplementation.RdfClient.GetDataType </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Maps the XSD data types to the corresponding application profile type. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">type</td><td>XSD data type.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An application profile type.</dd></dl>

</div>
</div>
<a id="a6b87aa54d1f864f9950250f4a74016ed"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6b87aa54d1f864f9950250f4a74016ed">&#9670;&nbsp;</a></span>GetDirectClasses()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IEnumerable&lt;string&gt; SemanticSearchImplementation.RdfClient.GetDirectClasses </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>instance</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries the direct classes (without inference and hierarchy) of an instance. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">instance</td><td>String representation of an instance URI.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

</div>
</div>
<a id="aaae0d58607a397366b95ea7df96c46f2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaae0d58607a397366b95ea7df96c46f2">&#9670;&nbsp;</a></span>GetLanguage()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.RdfClient.GetLanguage </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="acd878efe4cd42cca5d36ef23a3f721be"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd878efe4cd42cca5d36ef23a3f721be">&#9670;&nbsp;</a></span>GetParentClasses()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IList&lt;string&gt; SemanticSearchImplementation.RdfClient.GetParentClasses </td>
          <td>(</td>
          <td class="paramtype">IEnumerable&lt; string &gt;&#160;</td>
          <td class="paramname"><em>classes</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries the parent classes of the given classes. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">classes</td><td>A list of classes (string representation of the URIs).</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A list of the parent classes.</dd></dl>

</div>
</div>
<a id="a8c5e47823241f1bcf75be13a2ed62b3d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8c5e47823241f1bcf75be13a2ed62b3d">&#9670;&nbsp;</a></span>GetPrefixesOfGraph()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IDictionary&lt;string, string&gt; SemanticSearchImplementation.RdfClient.GetPrefixesOfGraph </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>prefixName</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries all prefix definitions in a specific graph and of a specific prefix rule. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>Name of the graph.</td></tr>
    <tr><td class="paramname">prefixName</td><td>Name of the prefix rule.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>A dictionary containing the prefixes (keys) and namespaces (value) of a prefix rule.</dd></dl>

</div>
</div>
<a id="adbb7e39f2915406c4edb5cbacb022dce"></a>
<h2 class="memtitle"><span class="permalink"><a href="#adbb7e39f2915406c4edb5cbacb022dce">&#9670;&nbsp;</a></span>GetProjectsOfUser()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IEnumerable&lt;string&gt; SemanticSearchImplementation.RdfClient.GetProjectsOfUser </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>user</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries the project IDs a user belongs to. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">user</td><td>A user.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An enumerator of project IDs.</dd></dl>

</div>
</div>
<a id="aaa5ba8d2534423dfbb370aa2d4400722"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aaa5ba8d2534423dfbb370aa2d4400722">&#9670;&nbsp;</a></span>GetProperties()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IEnumerable&lt;string&gt; SemanticSearchImplementation.RdfClient.GetProperties </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries all properties (metadata fields) used in the available application profiles. </p>
<dl class="section return"><dt>Returns</dt><dd>An enumerator of the properties (string representation of the URI).</dd></dl>

</div>
</div>
<a id="a469c28c5a40982b1b34e96d439343a78"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a469c28c5a40982b1b34e96d439343a78">&#9670;&nbsp;</a></span>GetRdfsLabel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.RdfClient.GetRdfsLabel </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>uri</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries the rdfs:label of an URI. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">uri</td><td>A string representation of an URI.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

</div>
</div>
<a id="a0207920bfa013e9d7d59cb08107c128a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0207920bfa013e9d7d59cb08107c128a">&#9670;&nbsp;</a></span>GetTriplesFromGraph()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">IEnumerable&lt;Triple&gt; SemanticSearchImplementation.RdfClient.GetTriplesFromGraph </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Returns triples of a graph. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of the graph.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>An enumerator of triples.</dd></dl>

</div>
</div>
<a id="a708959ad91511d00229939edf8849adc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a708959ad91511d00229939edf8849adc">&#9670;&nbsp;</a></span>GetTypeOfProperty()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="class_semantic_search_implementation_1_1_rdf_client.html#a2ae48841664ee87f9b6b81298bc2381a">ApplicationProfileType</a> SemanticSearchImplementation.RdfClient.GetTypeOfProperty </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>property</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Queries the application profile data type of a property. </p>
<p>Properties that have different data types (due to different profiles) are first defined as a class that maps to text.</p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">property</td><td>String representatrion og a properties URI.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd></dd></dl>

</div>
</div>
<a id="a0c65fc8a2ffd3878d44adaeee55df8a6"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0c65fc8a2ffd3878d44adaeee55df8a6">&#9670;&nbsp;</a></span>GuessLabel()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">string SemanticSearchImplementation.RdfClient.GuessLabel </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>element</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Help function to guess label based on the URI. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">element</td><td>String representation of an URI.</td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>Guessed label.</dd></dl>

</div>
</div>
<a id="a325fdfbd041bf2b43ce396e9a1da64b5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a325fdfbd041bf2b43ce396e9a1da64b5">&#9670;&nbsp;</a></span>MarkGraphAsDeleted()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SemanticSearchImplementation.RdfClient.MarkGraphAsDeleted </td>
          <td>(</td>
          <td class="paramtype">string&#160;</td>
          <td class="paramname"><em>graphName</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Marks the metadata graph as deleted. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">graphName</td><td>ID of the metadata graph.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<a id="a6483721fe8fb067835647b236e7e11a5"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a6483721fe8fb067835647b236e7e11a5">&#9670;&nbsp;</a></span>SetCurrentIndexVersion()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void SemanticSearchImplementation.RdfClient.SetCurrentIndexVersion </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>newVersion</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>Updates the current index version. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">newVersion</td><td>New index version.</td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
<h2 class="groupheader">Member Data Documentation</h2>
<a id="abe5b0dc7e49afcaa43be878f1c0e8789"></a>
<h2 class="memtitle"><span class="permalink"><a href="#abe5b0dc7e49afcaa43be878f1c0e8789">&#9670;&nbsp;</a></span>_connector</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly <a class="el" href="interface_semantic_search_implementation_1_1_i_rdf_connector.html">IRdfConnector</a> SemanticSearchImplementation.RdfClient._connector</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a5d9dbc2c8daa86da7dd88cc164ff4181"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5d9dbc2c8daa86da7dd88cc164ff4181">&#9670;&nbsp;</a></span>_dataTypeParser</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly <a class="el" href="class_semantic_search_implementation_1_1_data_type_parser.html">DataTypeParser</a> SemanticSearchImplementation.RdfClient._dataTypeParser</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a3ca442552615fb7dafe445873e33820b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a3ca442552615fb7dafe445873e33820b">&#9670;&nbsp;</a></span>_language</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly string SemanticSearchImplementation.RdfClient._language</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac5b265b0ca493b3cfa893066b625b57e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5b265b0ca493b3cfa893066b625b57e">&#9670;&nbsp;</a></span>_queryString</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">readonly SparqlParameterizedString SemanticSearchImplementation.RdfClient._queryString</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a501fad6b6b81cf8059921645c100c7ca"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a501fad6b6b81cf8059921645c100c7ca">&#9670;&nbsp;</a></span>LABEL_ADDITIONAL_RULE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.RdfClient.LABEL_ADDITIONAL_RULE = &quot;graph&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="aa8ed1e90bede1ec396f74186539a3a3c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa8ed1e90bede1ec396f74186539a3a3c">&#9670;&nbsp;</a></span>LABEL_LITERAL_RULE</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.RdfClient.LABEL_LITERAL_RULE = &quot;instance&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a15af740a85a4fca8321168ade215aade"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a15af740a85a4fca8321168ade215aade">&#9670;&nbsp;</a></span>PLACEHOLDER</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const string SemanticSearchImplementation.RdfClient.PLACEHOLDER = &quot;$this&quot;</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afb90fafb3b06994090599a064bb40c17"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afb90fafb3b06994090599a064bb40c17">&#9670;&nbsp;</a></span>QUERY_LIMIT</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">const int SemanticSearchImplementation.RdfClient.QUERY_LIMIT = 1000</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">static</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="_rdf_client_8cs.html">RdfClient.cs</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="http://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.8.20
</small></address>
</body>
</html>
